experimental/map File Reference

Go to the source code of this file.

## Namespaces

| std

## Macros

#define | _GLIBCXX_EXPERIMENTAL_MAP

## Typedefs

template<typename _Key , typename _Tp , typename _Compare = less<_Key>>
using | std::experimental::fundamentals_v2::pmr::map = std::map< _Key, _Tp, _Compare, polymorphic_allocator< pair< const _Key, _Tp > >>
template<typename _Key , typename _Tp , typename _Compare = less<_Key>>
using | std::experimental::fundamentals_v2::pmr::multimap = std::multimap< _Key, _Tp, _Compare, polymorphic_allocator< pair< const _Key, _Tp > >>

## Functions

template<typename _Key , typename _Tp , typename _Compare , typename _Alloc , typename _Predicate >
void | std::experimental::fundamentals_v2::erase_if (map< _Key, _Tp, _Compare, _Alloc > &__cont, _Predicate __pred)
template<typename _Key , typename _Tp , typename _Compare , typename _Alloc , typename _Predicate >
void | std::experimental::fundamentals_v2::erase_if (multimap< _Key, _Tp, _Compare, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/map.